Name:		manaplus
Version:	1.4.8.16
Release:	%mkrel 1
Summary:	A client for Evol Online and The Mana World: 2D MMORPG
Group:		Games/Other
License:	GPLv2+
Url:		http://manaplus.evolonline.org/
Source0:	http://download.evolonline.org/manaplus/download/%{version}/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gcc-c++
BuildRequires:	make
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_gfx-devel
BuildRequires:	%{_lib}physfs-devel
BuildRequires:	libcurl-devel
BuildRequires:	libxml2-devel
BuildRequires:	libpng-devel
BuildRequires:	gettext-devel

Provides:	evolonline-client = %{version}-%{release}
Provides:	manaworld-client = %{version}-%{release}

%description
ManaPlus is extended client for Evol Online, The Mana World and similar
servers based on eAthena fork.
As a 2D style game, Evol Online aims to create a friendly environment where 
people can escape reality and interact with others while enjoying themselves 
through a fantasy style game.
The Mana World (TMW) is a serious effort to create an innovative free and 
open source MMORPG. TMW uses 2D graphics and aims to create a large and 
diverse interactive world.

%prep
%setup -q

%build
export LDFLAGS=-L%{_libdir}
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}%{_bindir}/

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%attr(-, root, root) %doc AUTHORS ChangeLog COPYING docs/*.txt NEWS README
%attr(0755, root, root) %{_bindir}/*
%attr(-, root, root) %{_datadir}/%{name}
%attr(-, root, root) %{_datadir}/pixmaps/%{name}.png
%attr(-, root, root) %{_datadir}/applications/%{name}.desktop
%exclude %attr(-, root, root) %{_datadir}/applications/%{name}test.desktop
%attr(-, root, root) %{_mandir}/man6/%{name}*


%changelog
* Fri Aug 22 2014 bb <bb> 1.4.8.16-1pclos2014
- update

* Sun Jun 23 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.3.6.23-1pclos2013
- 1.3.6.23
- switch to current libphysfs not the old thing from 2007
- enabled paralell build

* Tue Jan 01 2013 MBantz <martin dot bantz at gmail dot com> 1.2.12.23
- Adapted to PCLinux from akara@inbox.ru

